Bug 205342 - IllegalStateException: No PlatformInstallFound in Lookup, enabled modules: JavaScript Editing(org.netbeans.modules.javascript.editing/1) Core - Windows(org.netbeans.core.windows/2) .diff File Editor S
IllegalStateException: No PlatformInstallFound in Lookup, enabled modules: Ja...
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Platform
7.1
All All
: P2 (vote)
: 7.2
Assigned To: Tomas Zezula
issues@java
EXCEPTIONS_REPORT
: ERGONOMICS
Depends on: 187678
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-21 10:18 UTC by ercee
Modified: 2011-12-07 12:14 UTC (History)
6 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (7.60 KB, text/plain)
2011-11-21 10:18 UTC, ercee
Details
stacktrace (8.38 KB, text/plain)
2011-11-25 11:01 UTC, Petr Cyhelsky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ercee 2011-11-21 10:18:37 UTC
Build: NetBeans IDE 7.1 Beta (Build 201109252201)
VM: Java HotSpot(TM) 64-Bit Server VM, 20.4-b02-402, Java(TM) SE Runtime Environment, 1.6.0_29-b11-402-11M3527
OS: Mac OS X

User Comments:
GUEST: Trying to add Blackberry IDE

GUEST: From menu: Tools->Java Patform, opens Java Platform Manger. Press [Add Platform...] button.

GUEST: I updated Netbeans with available updates and now everything is deactivated.

GUEST: I had installed the Scala plugin and was attempting to add a Scala platform from within a project.

GUEST: I call add platform command (on the IDE)

GUEST: i installed netbeans 9.1 and when i try to check the java platform, the list is empty and i get this error message.




Stacktrace: 
java.lang.IllegalStateException: No PlatformInstallFound in Lookup, enabled modules:
JavaScript Editing(org.netbeans.modules.javascript.editing/1)
Core - Windows(org.netbeans.core.windows/2)
.diff File Editor Support(org.netbeans.modules.languages.diff)
Delicious Services(org.netbeans.modules.websvc.saas.services.delicious)
Lookup API(org.openide.util.lookup)
Database Metadata Model(org.netbeans.modules.db.metadata.model/0)
Schema Aware Code Completion(org.netbeans.modules.xml.schema.completion)
XML Schema API(org.netbeans.modules.xml.schema.model/1)
Refactoring API(org.netbeans.modules.refactoring.api)
Common Annotations(org.netbeans.api.annotations.common/1)
UI Gestures Collector Infrastructure(org.netbeans.modules.uihandler)
Auto Update Services(org.netbeans.modules.autoupdate.services)
Resource Bundles(org.netbeans.modules.properties/1)
Startup(org.netbeans.core.startup/1)
Tags Based Editors Library(org.netbeans.modules.editor.structure/1)
Module System API(org.openide.modules)
XML Entity Catalog(org.netb
   at org.netbeans.modules.java.platform.wizard.PlatformInstallIterator.initialize(PlatformInstallIterator.java:194)
   at org.openide.WizardDescriptor.callInitialize(WizardDescriptor.java:1493)
   at org.openide.WizardDescriptor.<init>(WizardDescriptor.java:494)
   at org.openide.WizardDescriptor.<init>(WizardDescriptor.java:503)
   at org.netbeans.modules.java.platform.ui.PlatformsCustomizer.addNewPlatform(PlatformsCustomizer.java:341)
   at org.netbeans.modules.java.platform.ui.PlatformsCustomizer.access$000(PlatformsCustomizer.java:98)
Comment 1 ercee 2011-11-21 10:18:40 UTC
Created attachment 113359 [details]
stacktrace
Comment 2 Petr Cyhelsky 2011-11-25 11:01:03 UTC
Created attachment 113528 [details]
stacktrace

clicking on add Platform button in Java Platform manager
Comment 3 Exceptions Reporter 2011-11-25 11:01:09 UTC
This bug already has 20 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=172759
Comment 4 Tomas Zezula 2011-11-25 11:12:06 UTC
Peter, is the build correct?
There is no org.netbeans.modules.java.j2seplatform module, so it's obvious that the exception is thrown.
The generic platform module complains that there is no PlatformInstall, the platform install for J2SE platform is provided by org.netbeans.modules.java.j2seplatform module which is not in the list of active modules.

Hudson Mercurial Bindings(org.netbeans.modules.hudson.mercurial)
Diff(org.netbeans.modules.diff/1)
Local History(org.netbeans.modules.localhistory)
Lucene Integration(org.netbeans.libs.lucene/3)
Native Terminal(org.netbeans.modules.dlight.terminal)
Editor Library(org.netbeans.modules.editor.lib/3)
IDE Defaults(org.netbeans.modules.defaults/1)
Core - UI(org.netbeans.core.ui/1)
JRuby ByteList(org.netbeans.libs.bytelist/1)
Hudson(org.netbeans.modules.hudson)
YAML Editor Support(org.netbeans.modules.languages.yaml)
Subversion(org.netbeans.modules.subversion)
ETable and Outline(org.netbeans.swing.outline)
MIME Lookup API(org.netbeans.modules.editor.mimelookup/1)
Java Profiler (Root Method Selector UI)(org.netbeans.modules.profiler.selector.ui/1)
Execution API(org.openide.execution)
Java Profiler (Java SE Projects Support)(org.netbeans.modules.profiler.j2se/1)
Debugger Core API(org.netbeans.api.debugger/1)
JPDA Debugger API(org.netbeans.api.debugger.jpda/2)
Versioning Support Utilities(org.netbeans.modules.versioning.util)
Java Profiler (OQL Language Support)(org.netbeans.modules.profiler.oql.language/0)
External Execution Process Destroy Support(org.netbeans.modules.extexecution.destroy)
Utilities API(org.openide.util)
Lexer to NetBeans Bridge(org.netbeans.modules.lexer.nbbridge/1)
Bugzilla(org.netbeans.modules.bugzilla)
Java Profiler (Common)(org.netbeans.lib.profiler.common/1)
Editor Code Templates(org.netbeans.modules.editor.codetemplates/1)
SwingX(org.netbeans.libs.swingx/1)
Common Scripting Language API (new)(org.netbeans.modules.csl.api/2)
Javac Implementation Wrapper(org.netbeans.libs.javacimpl/1)
Java Profiler (JFluid)(org.netbeans.lib.profiler/1)
JavaHelp Integration(org.netbeans.modules.javahelp/1)
Editor Library 2(org.netbeans.modules.editor.lib2/1)
CSS Visual Editor(org.netbeans.modules.css.visual/1)
Tags Based Editors Library(org.netbeans.modules.editor.structure/1)
Database Explorer(org.netbeans.modules.db/1)
Native Execution(org.netbeans.modules.dlight.nativeexecution)
Java Support APIs(org.netbeans.api.java/1)
Java Common Project API(org.netbeans.modules.java.api.common/0)
Task List(org.netbeans.modules.tasklist.kit)
Editor Settings(org.netbeans.modules.editor.settings/1)
External Libraries(org.netbeans.modules.project.libraries/1)
JPDA Debugger Ant Task(org.netbeans.modules.debugger.jpda.ant)
Welcome Screen(org.netbeans.modules.welcome/1)
Nodes API(org.openide.nodes)
Java Profiler (Profiling Points)(org.netbeans.modules.profiler.ppoints)
External Execution Support(org.netbeans.modules.extexecution/2)
General Queries API(org.netbeans.modules.queries/1)
RCP Platform(org.netbeans.modules.core.kit)
GlassFish Server 3 - Common(org.netbeans.modules.glassfish.common/0)
Options Dialog and SPI(org.netbeans.modules.options.api/1)
Java DB Database Support(org.netbeans.modules.derby)
Parsing API(org.netbeans.modules.parsing.api/1)
UI Handler Library(org.netbeans.lib.uihandler)
Common Palette(org.netbeans.spi.palette/1)
JavaScript Refactoring(org.netbeans.modules.javascript.refactoring/1)
com.jcraft.jsch(com.jcraft.jsch)
CSS Editor(org.netbeans.modules.css.editor/1)
Database Core(org.netbeans.modules.db.core)
Editor Formatting Prior 6.5 Separation(org.netbeans.modules.editor.deprecated.pre65formatting/0)
Java Profiler (Attach - Java SE Support)(org.netbeans.modules.profiler.j2se.impl/1)
JavaScript Editing(org.netbeans.modules.javascript.editing/1)
Versioning(org.netbeans.modules.versioning/1)
Progress UI(org.netbeans.modules.progress.ui)
Visual Library API(org.netbeans.api.visual)
Java Profiler(org.netbeans.modules.profiler/2)
Editor Indentation(org.netbeans.modules.editor.indent/2)
External HTML Browser(org.netbeans.modules.extbrowser/1)
Editor Code Completion(org.netbeans.modules.editor.completion/1)
Plain Editor(org.netbeans.modules.editor.plain/2)
Schema Aware Code Completion(org.netbeans.modules.xml.schema.completion)
NetBeans OSGi Integration(org.netbeans.core.netigso)
Exception Reporter(org.netbeans.modules.uihandler.exceptionreporter)
Editor Error Stripe Impl(org.netbeans.modules.editor.errorstripe/2)
XML Lexer(org.netbeans.modules.xml.lexer)
Hudson Subversion Bindings(org.netbeans.modules.hudson.subversion)
Web Common(org.netbeans.modules.web.common)
Look & Feel Customization Library(org.netbeans.swing.plaf)
Java Profiler (Snapshots Tracer)(org.netbeans.modules.profiler.snaptracer/1)
Java Profiler (Charts)(org.netbeans.lib.profiler.charts/1)
XML Retriever(org.netbeans.modules.xml.retriever/1)
ini4j(org.netbeans.libs.ini4j/1)
Issue Tracking Bridge Module(org.netbeans.modules.bugtracking.bridge)
Editor Hints(org.netbeans.spi.editor.hints/0)
HTML Editor Library(org.netbeans.modules.html.editor.lib/2)
Master Filesystem(org.netbeans.modules.masterfs/2)
Embedded Browser(org.netbeans.core.browser/1)
HTML Lexer(org.netbeans.modules.html.lexer/1)
Java Profiler (Attach - Tomcat Support)(org.netbeans.modules.profiler.j2ee.tomcat/1)
Task List API(org.netbeans.spi.tasklist/1)
Output Window(org.netbeans.core.output2/1)
Spellchecker HTML XML Bindings(org.netbeans.modules.spellchecker.bindings.htmlxml)
MIME Lookup On SystemFS(org.netbeans.modules.editor.mimelookup.impl/1)
Java Profiler (Categorization API)(org.netbeans.modules.profiler.categorization.api/1)
Apache's Felix OSGi Implementation(org.netbeans.libs.felix)
Ant(org.apache.tools.ant.module/3)
Editing Files(org.netbeans.modules.editor.kit)
Debugger Core - UI(org.netbeans.spi.debugger.ui/1)
Java Profiler (Attach Support)(org.netbeans.modules.profiler.attach/2)
Java Source UI(org.netbeans.modules.java.sourceui/1)
Editor Code Folding(org.netbeans.modules.editor.fold/1)
Parsing Lucene Support(org.netbeans.modules.parsing.lucene/2)
org.eclipse.mylyn.tasks.core(org.eclipse.mylyn.tasks.core)
CVS Installer(org.netbeans.modules.versioning.system.cvss.installer)
Core - IDE(org.netbeans.core.ide/1)
XML Support(org.netbeans.modules.xml)
Ant-Based Project Support(org.netbeans.modules.project.ant/1)
Native Access(org.netbeans.core.nativeaccess/1)
Favorites(org.netbeans.modules.favorites/1)
Git(org.netbeans.modules.git)
Editor Braces Matching(org.netbeans.modules.editor.bracesmatching/0)
Command Line Parsing API(org.netbeans.modules.sendopts/2)
Javac API Wrapper(org.netbeans.libs.javacapi)
Java Profiler (Drilldown)(org.netbeans.modules.profiler.drilldown/1)
HTML(org.netbeans.modules.html/1)
Editor Indentation for Projects(org.netbeans.modules.editor.indent.project/0)
Update Centers(org.netbeans.modules.updatecenters/1)
Progress API(org.netbeans.api.progress/1)
Explorer & Property Sheet API(org.openide.explorer)
XML Productivity Tools(org.netbeans.modules.xml.tools/2)
XSL Support(org.netbeans.modules.xsl/1)
TreeTableView Model(org.netbeans.spi.viewmodel/2)
Java Profiler(org.netbeans.modules.profiler.kit)
Jump To(org.netbeans.modules.jumpto/1)
HTML5 Parser(org.netbeans.modules.html.parser/1)
Database Drivers(org.netbeans.modules.db.drivers)
CSS Library(org.netbeans.modules.css.lib/1)
Java Platform(org.netbeans.modules.java.platform/1)
Actions APIs(org.openide.actions)
Java Profiler (Select Task Panel)(org.netbeans.modules.profiler.stp)
Spellchecker(org.netbeans.modules.spellchecker.kit)
Editor Macros(org.netbeans.modules.editor.macros/0)
Auto Update UI(org.netbeans.modules.autoupdate.ui)
Common Annotations(org.netbeans.api.annotations.common/1)
Module System API(org.openide.modules)
org.apache.commons.httpclient(org.apache.commons.httpclient)
Classfile Reader(org.netbeans.modules.classfile/1)
Mercurial(org.netbeans.modules.mercurial)
Apache Resolver Library 1.2(org.apache.xml.resolver)
Editor(org.netbeans.modules.editor/3)
MultiView Windows(org.netbeans.core.multiview/1)
Task List - Project Integration(org.netbeans.modules.tasklist.projectint/1)
Directory Chooser(org.netbeans.swing.dirchooser)
Terminal Emulator(org.netbeans.lib.terminalemulator)
Extensible Abstract Model (XAM)(org.netbeans.modules.xml.xam/1)
Settings API(org.netbeans.modules.settings/1)
Startup(org.netbeans.core.startup/1)
JavaScript(org.netbeans.modules.javascript.kit/1)
Ant Code Completion(org.netbeans.modules.ant.grammar/1)
Task List UI(org.netbeans.modules.tasklist.ui/1)
Hudson Git Bindings(org.netbeans.modules.hudson.git)
Editor Error Stripe(org.netbeans.modules.editor.errorstripe.api/1)
I/O APIs(org.openide.io)
Image(org.netbeans.modules.image/1)
Projects Searching(org.netbeans.modules.utilities.project/1)
Java Profiler (Attach - JBoss Support)(org.netbeans.modules.profiler.j2ee.jboss/1)
Text API(org.openide.text)
Java Profiler (OQL)(org.netbeans.modules.profiler.oql/2)
Commons Net Integration(org.netbeans.libs.commons_net/2)
IDE Platform(org.netbeans.modules.ide.kit)
Keymap Options(org.netbeans.modules.options.keymap)
Editor Actions(org.netbeans.modules.editor.actions/1)
Core - Execution(org.netbeans.core.execution/1)
Lookup API(org.openide.util.lookup)
Database(org.netbeans.modules.db.kit)
Editor Indentation Extension(org.netbeans.modules.web.indent)
Spellchecker English Dictionaries(org.netbeans.modules.spellchecker.dictionary_en)
Java Profiler (API & SPI)(org.netbeans.modules.profiler.api/1)
ToDo Task Scanner(org.netbeans.modules.tasklist.todo/1)
org.eclipse.mylyn.bugzilla.core(org.eclipse.mylyn.bugzilla.core)
Window System API(org.openide.windows)
XML Text Editor(org.netbeans.modules.xml.text/2)
org.eclipse.jgit(org.eclipse.jgit)
Java Profiler (Utilities)(org.netbeans.modules.profiler.utilities/1)
Plain Editor Library(org.netbeans.modules.editor.plain.lib/1)
Java Project Support(org.netbeans.modules.java.project/1)
org.eclipse.equinox.common(org.eclipse.equinox.common)
Project API(org.netbeans.modules.projectapi/1)
JNA(org.netbeans.libs.jna/1)
Ergonomic IDE(org.netbeans.modules.ide.ergonomics)
IDE Branding(org.netbeans.modules.ide.branding.kit)
XML Schema API(org.netbeans.modules.xml.schema.model/1)
Refactoring API(org.netbeans.modules.refactoring.api)
Auto Update Services(org.netbeans.modules.autoupdate.services)
Issue Tracking(org.netbeans.modules.bugtracking)
Java Source(org.netbeans.modules.java.source)
Visual Query Editor(org.netbeans.modules.db.sql.visualeditor/1)
XML Entity Catalog(org.netbeans.modules.xml.catalog/2)
Java Profiler (Options UI)(org.netbeans.modules.profiler.options)
Rhino IDE JavaScript Handler(org.mozilla.rhino.patched/1)
Spellchecker Core(org.netbeans.modules.spellchecker)
Editor Bookmarks(org.netbeans.modules.editor.bookmarks/1)
Hudson Ant Project Support(org.netbeans.modules.hudson.ant)
Resource Bundles(org.netbeans.modules.properties/1)
Java Profiler (Attach - Generic J2EE Server Support)(org.netbeans.modules.profiler.j2ee.generic/1)
Java Profiler (Attach - GlassFish Support)(org.netbeans.modules.profiler.j2ee.sunas/1)
Keyring API(org.netbeans.modules.keyring)
Freemarker Integration(org.netbeans.libs.freemarker/1)
org.apache.commons.io(org.apache.commons.io)
SQL Editor(org.netbeans.modules.db.sql.editor)
.manifest file Editor Support(org.netbeans.modules.languages.manifest)
XML Tools API(org.netbeans.api.xml/1)
Xerces Integration(org.netbeans.libs.xerces/1)
Servlet 2.2 API(org.netbeans.modules.servletapi/1)
Java Profiler (Root Method Selector API)(org.netbeans.modules.profiler.selector.api/1)
Tab Control(org.netbeans.swing.tabcontrol)
User Utilities(org.netbeans.modules.utilities/1)
Versioning-Indexing Bridge(org.netbeans.modules.versioning.indexingbridge/0)
HTTP Server(org.netbeans.modules.httpserver/2)
Antlr 3.3 Runtime(org.netbeans.libs.antlr3.runtime)
MySQL Database Support(org.netbeans.modules.db.mysql)
Project UI(org.netbeans.modules.projectui)
Preprocessor Bridge(org.netbeans.modules.java.preprocessorbridge)
UI Utilities API(org.openide.awt)
NetBeans Equinox Integration(org.netbeans.modules.netbinox)
Editor Options(org.netbeans.modules.options.editor/1)
Classpath APIs(org.netbeans.api.java.classpath/1)
I/O UI(org.netbeans.core.io.ui/1)
Database Metadata Model(org.netbeans.modules.db.metadata.model/0)
XML Document Model (XDM)(org.netbeans.modules.xml.xdm/1)
Java Profiler (Attach Wizard)(org.netbeans.modules.profiler.attach.impl/2)
Keyring Implementations(org.netbeans.modules.keyring.impl)
JavaScript Hints(org.netbeans.modules.javascript.hints/1)
Java Profiler (Attach - WebLogic Support)(org.netbeans.modules.profiler.j2ee.weblogic/1)
Spellchecker API(org.netbeans.modules.spellchecker.apimodule)
Project UI API(org.netbeans.modules.projectuiapi/1)
Java Profiler (JFluid-UI)(org.netbeans.lib.profiler.ui/1)
Print(org.netbeans.modules.print)
UI Gestures Collector Infrastructure(org.netbeans.modules.uihandler)
Terminal(org.netbeans.modules.terminal)
Abstract XML Instance Object Model (AXIOM)(org.netbeans.modules.xml.axi)
Git Client Library(org.netbeans.libs.git/1)
Java Lexer(org.netbeans.modules.java.lexer/1)
Resource Bundle Syntax Coloring(org.netbeans.modules.properties.syntax/1)
Print Editor(org.netbeans.modules.print.editor)
YAML Parser Library (jvyamlb)(org.netbeans.libs.jvyamlb/1)
Editor Settings Storage(org.netbeans.modules.editor.settings.storage/1)
Upgrade(org.netbeans.upgrader)
Common Test Runner API(org.netbeans.modules.gsf.testrunner)
NetBeans IDE Branding(org.netbeans.modules.ide.branding/1)
HTML Validation(org.netbeans.modules.html.validation/1)
Java Profiler (NetBeans Bindings)(org.netbeans.modules.profiler.nbimpl/1)
OSGi Specification(org.netbeans.libs.osgi)
General Online Help(org.netbeans.modules.usersguide/1)
.diff File Editor Support(org.netbeans.modules.languages.diff)
Search API(org.openidex.util/3)
Java Profiler (NetBeans Module Projects Support)(org.netbeans.modules.profiler.nbmodule/1)
Bootstrap(org.netbeans.bootstrap/1)
Database APIs(org.netbeans.modules.dbapi)
HTML Editor(org.netbeans.modules.html.editor/1)
Spellchecker Properties Bindings(org.netbeans.modules.spellchecker.bindings.properties)
Dialogs API(org.openide.dialogs)
Plugin Importer(org.netbeans.modules.autoupdate.pluginimporter)
File System API(org.openide.filesystems)
Quick Search API(org.netbeans.spi.quicksearch)
Editor Guarded Sections(org.netbeans.modules.editor.guards/1)
Java Profiler (Project Support)(org.netbeans.modules.profiler.projectsupport)
TAX Library(org.netbeans.modules.xml.tax/2)
Database DataView(org.netbeans.modules.db.dataview)
Common Server(org.netbeans.modules.server/0)
org.eclipse.core.runtime(org.eclipse.core.runtime)
Editor Utilities(org.netbeans.modules.editor.util/1)
Subversion SvnKit Client Library(org.netbeans.libs.svnClientAdapter.svnkit/1)
Subversion Client Library(org.netbeans.libs.svnClientAdapter/1)
Hudson Task List(org.netbeans.modules.hudson.tasklist)
Lexer(org.netbeans.modules.lexer/2)
Java Source to Ant Bindings(org.netbeans.modules.java.source.ant)
Java Profiler (HeapWalker)(org.netbeans.modules.profiler.heapwalker)
Datasystems API(org.openide.loaders)
Navigator API(org.netbeans.spi.navigator/1)
org.eclipse.mylyn.commons.net(org.eclipse.mylyn.commons.net)
Subversion JavaHL Client Library(org.netbeans.libs.svnClientAdapter.javahl/1)
Core - Windows(org.netbeans.core.windows/2)
XML Core(org.netbeans.modules.xml.core/2)
Bugzilla-Exception Reporter Bridge(org.netbeans.modules.bugzilla.exceptionreporter)
Core(org.netbeans.core/2)
Comment 5 Tomas Zezula 2011-11-25 11:13:08 UTC
Petre, what distribution is it?
Comment 6 Petr Cyhelsky 2011-11-25 12:42:39 UTC
It is full IDE with ergonomics.
The thing is that it was only partially activated via attach profiler action (only modules which profiler needs to display its results were activated) - in this scenario there is no java platform, so i wanted to add one through the add java platform .... -> exception
Comment 7 Tomas Zezula 2011-11-25 14:29:32 UTC
If there is no Default Platform it implies that you are not even able to create a new one.
Both of it is provided by the java.j2seplatform module.
The question is why the java.j2seplatform was not enabled.
Comment 8 Petr Cyhelsky 2011-11-25 14:56:19 UTC
answer is easy - because the j2SE cluster is not yet fully activated - only modules needed by profiler are activated - and java.j2seplatform is not among them. The better question imho is: why is it possible to go into java platform manager when it doesn't have all the needed modules loaded? Shouldn't the java platforms menu item be an "entry point" for ergonomics which would load all the needed modules?
Comment 9 Tomas Zezula 2011-11-25 15:04:16 UTC
The answer is no :-)
It's pretty legal for Platform manager (java.platform module) to be enabled without (java.j2seplatform).
For example you can have J2ME distribution with only J2ME platforms (no java.j2seplatform).
The j2se and j2ee profiler plugin should activate j2seplatform as they depend on it.
Comment 10 Petr Cyhelsky 2011-11-25 15:26:52 UTC
The j2SE or J2EE profilers don't have to activate anything, because they can't be invoked without some project opened in IDE which can't be done without activating the modules. Profiler can only activate some modules just after startup with clear userdir with no projects open, at which point none of enabled profiler actions needs java.j2seplatform module, because they only serve as presentation layer for incoming profiling data...
.
anyway...
.
The issue already has 20 duplicates and it is clear from cursory look at the duplicates list that it happens in different situations not just because of profiler activating only modules necessary for its functionality. I understand that you can't just blindly activate some modules, but isn't the core problem the absence of check for ANY platform on the entry point into platform manager (ie the menu item should be disabled when there is no platform)? I think it is not justifiable that in case of no java platform, the java platform manager(the only logical point for user to go to in case this happens) doesn't work.
Comment 11 Tomas Zezula 2011-11-25 15:36:17 UTC
>because they can't be invoked without some project opened in IDE which can't be done without activating the modules.
Sorry, I've thought you have empty IDE (no project opened).
The opening of java project should definitely activate the j2se platform module.
Comment 12 Jaroslav Tulach 2011-12-05 06:56:23 UTC
First of all, you probably have wrong dependencies among modules, if some of your API is activated without necessary implementations. Passing to Java to fix that. Possibly profiler.kit can have dependencies on all java.kits.

Second, in general ergonomics should work on the boundaries of whole clusters, but that is right now impossible due to missing dependencies between AutoUpdate features as described in bug 187678.
Comment 13 Tomas Zezula 2011-12-06 14:09:03 UTC
Fixed jet-main 8cdf757fe605
Comment 14 Quality Engineering 2011-12-07 12:14:01 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/8cdf757fe605
User: Tomas Zezula <tzezula@netbeans.org>
Log: #205342:IllegalStateException: No PlatformInstallFound in Lookup, enabled modules


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo